Skip to content

Song Concatenation

POST https://www.kkiai.com/suno/submit/concat

Request Parameters

Authorization

Add the Authorization parameter to the Header, with its value being the Token concatenated after Bearer

Example: Authorization: Bearer ********************

Header Parameters

Parameter NameTypeRequiredDescriptionExample
Content-TypestringRequiredapplication/json
AcceptstringRequiredapplication/json
AuthorizationstringOptionalBearer {{YOUR_API_KEY}}

Body Parameters (application/json)

Parameter NameTypeRequiredDescription
clip_idstringRequiredSong ID after extend
is_infillstringOptional

Request Example

json
{
  "clip_id": "EXTENDED_SONG_ID",
  "is_infill": false
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/suno/submit/concat' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "clip_id": "EXTENDED_SONG_ID",
  "is_infill": false
}'

Response

🟢 200 Success

Response Body

Parameter NameTypeRequiredDescription
codestringRequired
datastringRequired
messagestringRequired

Response Example

json
{
    "code": "success",
    "data": "47443cc1-4902-42ae-ae7f-72a9900544e9",
    "message": ""
}